import {
    world,
    system,
    ItemStack
} from "@minecraft/server";

export const itemInfo = [
    {
        typeId: "minecraft:wooden_sword",
        damage: 4,
        speed: 1.6
    },
    {
        typeId: "minecraft:wooden_axe",
        damage: 7,
        speed: 0.8
    },
    {
        typeId: "minecraft:golden_sword",
        damage: 4,
        speed: 1.6
    },
    {
        typeId: "minecraft:golden_axe",
        damage: 7,
        speed: 1.0
    },
    {
        typeId: "minecraft:stone_sword",
        damage: 5,
        speed: 1.6
    },
    {
        typeId: "minecraft:stone_axe",
        damage: 9,
        speed: 0.8
    },
    {
        typeId: "minecraft:iron_sword",
        damage: 6,
        speed: 1.6
    },
    {
        typeId: "minecraft:iron_axe",
        damage: 9,
        speed: 0.9
    },
    {
        typeId: "minecraft:diamond_sword",
        damage: 7,
        speed: 1.6
    },
    {
        typeId: "minecraft:diamond_axe",
        damage: 9,
        speed: 1.0
    },
    {
        typeId: "minecraft:netherite_sword",
        damage: 8,
        speed: 1.6
    },
    {
        typeId: "minecraft:netherite_axe",
        damage: 10,
        speed: 1.0
    }
];

system.runInterval(() => {
    world.getAllPlayers().forEach(player => {
        const inv = player.getComponent("inventory").container;
        for (let i = 0; i < inv.size; i++) {
            const item = inv.getItem(i);
            if (!item) continue; // Skip empty slots

            itemInfo.forEach(e => {
                if (e.typeId === item.typeId) {
                    const enchants = item.getComponent('enchantable');
                    const durability = item.getComponent('durability');

                    if (enchants && durability) {
                        const newItem = new ItemStack(e.typeId, item.amount); // Preserve item count
                        newItem.setLore([`§r§9${e.speed} Attack Speed`]);

                        const newEnchantable = newItem.getComponent('enchantable');
                        enchants.getEnchantments().forEach(enchant => {
                            newEnchantable.addEnchantment(enchant);
                        });

                        const newDurability = newItem.getComponent('durability');
                        if (newDurability) {
                            newDurability.damage = durability.damage; // Preserve durability
                        }

                        inv.setItem(i, newItem); // Replace the item in inventory
                        console.log(`Updated ${e.typeId} in player inventory.`);
                    }
                }
            });
        }
    });
}, 10);
