import { world, EquipmentSlot, system } from '@minecraft/server';

world.afterEvents.itemUse.subscribe((arg) => {
    const { itemStack, source } = arg;
    if ((itemStack.typeId != 'minecraft:totem_of_undying' && itemStack.typeId != 'minecraft:shield' && itemStack.typeId != 'minecraft:arrow' && itemStack.typeId != 'minecraft:nautilus_shell')) {
        return;
    };
    system.run(() => {
        const offhand = source.getComponent('minecraft:equippable');
        const offhandItem = offhand.getEquipment(EquipmentSlot.Offhand);
        const mainhand = source.getComponent('minecraft:equippable');
        const mainhandItem = mainhand.getEquipment(EquipmentSlot.Mainhand);
        offhand.setEquipment(EquipmentSlot.Offhand, mainhandItem);
        source.playSound('armor.equip_generic');
        mainhand.setEquipment(EquipmentSlot.Mainhand, offhandItem
);
    })
});
