import { world, system, EntityComponentTypes } from "@minecraft/server";

// Fire Arrows make Minecarts explode when near them.
system.runInterval(function cartExplode() {
    world.getAllPlayers().forEach((player) => {
        const arrows = player.dimension.getEntities({ type: 'arrow' })
        for (const arrow of arrows) {
            const arrowfire = arrow.getComponent(EntityComponentTypes.OnFire)
            if (arrowfire) {
                arrow.runCommandAsync('event entity @e[type=tnt_minecart,r=1,c=1] minecraft:on_instant_prime')
            }
        }
    })
})